package com.hai.order.topic;

/**
 * rocket订单主题
 * @className: Order
 * @author: HuRui
 * @date: 2022/8/24
 **/
public enum OrderTopic {
    ORDER_TOPIC("order-topic", "订单主题"),
    ORDER_TOPIC_CANCEL(ORDER_TOPIC.getTopic() + ":cancel", "订单取消"),
    ORDER_TOPIC_REFUND_SUCCESS(ORDER_TOPIC.getTopic() + ":refund-success", "订单退款成功业务"),
    ORDER_TOPIC_PROFIT_SHARING(ORDER_TOPIC.getTopic() + ":profit-sharing", "订单分账业务"),
    MOBILE_TOPIC_PROFIT_RECHARGE(ORDER_TOPIC.getTopic() + ":mobile-recharge", "话费订单充值业务"),
    ;

    private String topic;
    private String name;

    OrderTopic(String topic,String name) {
        this.topic = topic;
        this.name = name;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }
}
